Commit d7a17bf8 authored by Clint Adams's avatar Clint Adams

hspec: Upgrading from 2.2.4 to 2.4.3

parent 0a72c543
haskell-hspec (2.4.3-1) unstable; urgency=medium
* New upstream release
-- Clint Adams <clint@debian.org> Wed, 05 Jul 2017 21:44:14 -0400
haskell-hspec (2.2.4-3) unstable; urgency=medium
* Upload to unstable as part of GHC 8 transition.
......
......@@ -12,18 +12,24 @@ Build-Depends: debhelper (>= 9),
libghc-hunit-prof,
libghc-quickcheck2-dev (>= 2.5.1),
libghc-quickcheck2-prof,
libghc-hspec-core-dev (>= 2.2.4),
libghc-hspec-core-dev (<< 2.2.5),
libghc-call-stack-dev,
libghc-call-stack-prof,
libghc-hspec-core-dev (>= 2.4.3),
libghc-hspec-core-dev (<< 2.4.4),
libghc-hspec-core-prof,
libghc-hspec-expectations-dev (>= 0.7.2),
libghc-hspec-expectations-dev (<< 0.7.3),
libghc-hspec-discover-dev (>= 2.4.3),
libghc-hspec-discover-dev (<< 2.4.4),
libghc-hspec-discover-prof,
libghc-hspec-expectations-dev (>= 0.8.2),
libghc-hspec-expectations-dev (<< 0.8.3),
libghc-hspec-expectations-prof,
Build-Depends-Indep: ghc-doc,
libghc-hunit-doc,
libghc-quickcheck2-doc,
libghc-call-stack-doc,
libghc-hspec-core-doc,
libghc-hspec-expectations-doc,
Standards-Version: 3.9.8
Standards-Version: 4.0.0
Homepage: http://hspec.github.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hspec
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
......@@ -33,8 +39,8 @@ Architecture: any
Depends: ${haskell:Depends},
${shlibs:Depends},
${misc:Depends},
hspec-discover (>= 2.2.4),
hspec-discover (<< 2.2.5),
hspec-discover (>= 2.4.3),
hspec-discover (<< 2.4.4),
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
......
......@@ -7,16 +7,16 @@ control/debian.
@@ -45,7 +45,6 @@
build-depends:
base == 4.*
, hspec-core == 2.2.4
- , hspec-discover == 2.2.4
, hspec-expectations == 0.7.2.*
, hspec-core == 2.4.3
- , hspec-discover == 2.4.3
, hspec-expectations == 0.8.2.*
, transformers >= 0.2.2.0
, QuickCheck >= 2.5.1
@@ -75,7 +74,6 @@
@@ -76,7 +75,6 @@
build-depends:
base == 4.*
, hspec-core == 2.2.4
- , hspec-discover == 2.2.4
, hspec-expectations == 0.7.2.*
, hspec-core == 2.4.3
- , hspec-discover == 2.4.3
, hspec-expectations == 0.8.2.*
, transformers >= 0.2.2.0
, QuickCheck >= 2.5.1
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment